import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function dispatchList(data) {
  return request({
    url: `/dispatch/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function dispatchListExport(data, name) {
  return postBlob({
    url: '/dispatch/list/export',
    data,
    name
  })
}

export function dispatchSave(data) {
  return request({
    url: '/dispatch/save',
    method: 'post',
    data
  })
}
